import {Provider, connect} from 'react-redux';
import {createStore, combineReducers, applyMiddleware, bindActionCreators} from 'redux';
import thunk from 'redux-thunk';
import {actionPromise} from "./index"
import {gql, actionGoods, getGoods, actionSearch} from "../reducers/index";
import { useEffect } from 'react';
import {OneGood, CGoodsList} from "./index";
import CGoodsListSearch from './goodsListSearch';

const mapStateToProps = state => ({
    state: state,
    search: getGoods(state)
  });
  
  const mapDispatchToProps = dispatch => bindActionCreators({
    getData: actionSearch
  }, dispatch);

  const GoodsSearch = ({name, getData}) => {
      console.log(name)
    useEffect(() =>  getData(name), [name])
    return(
    <>
            <div className = "goodsWrapper">
                <CGoodsListSearch />
            </div>
    </>
    )
  }
   const CGoodsSearch = connect(mapStateToProps, mapDispatchToProps)(GoodsSearch);

// const CGoodsSearch = ({}) => {
//     return(
//         <h2>Hello</h2>
//     )
// }
  export default CGoodsSearch;