import {Provider, connect} from 'react-redux';
import {createStore, combineReducers, applyMiddleware, bindActionCreators} from 'redux';
import thunk from 'redux-thunk';
import {actionPromise} from "./index"
import {gql, actionGoods, getGoods} from "../reducers/index";
import { useEffect } from 'react';
import {OneGood, CGoodsList} from "./index";


  
  const mapStateToProps = state => ({
    state: state,
    goods: getGoods(state)
  });
  
  const mapDispatchToProps = dispatch => bindActionCreators({
    getData: actionGoods
  }, dispatch);
  



// const GoodsList = ({goods = [], className = "goods"}) => {
//   return (
//     <div className = {className}>          
//       {goods.map((good) => <OneGood key = {good._id} name = {good.name} price = {good.price} image = {good.images[0].url}/>)}
//     </div>
//   )
// }

//  const CGoodsList = connect(mapStateToProps, mapDispatchToProps)(GoodsList);


const GoodsCategory = ({id, tittle = "Товари", getData}) => {
  useEffect(() =>  getData(id), [id])
  return(
      <>
        <div className = "goodsWrapper">
            <CGoodsList />
        </div>
      </>
  )
}

const CGoodsCategory = connect(mapStateToProps, mapDispatchToProps)(GoodsCategory);




  export default CGoodsCategory;